Subject: Re: [PATCH v7 2/5] thermal: samsung: Add Exynos ACPM TMU driver GS101

From: "Alexey Klimov" <[email-masked]>
Date: Wed, 03 Jun 2026 11:38:43 +0100

On Wed Jun 3, 2026 at 10:26 AM BST, Tudor Ambarus wrote:
>
>
> On 6/2/26 10:49 PM, Alexey Klimov wrote:
>> On Tue Jun 2, 2026 at 6:00 PM BST, Tudor Ambarus wrote:
>>> Add driver for the Thermal Management Unit (TMU) managed via the Alive
>>> Clock and Power Manager (ACPM), found on Samsung Exynos SoCs such as
>>> Google GS101 (and Exynos850, autov920, etc.).
>>>
>>> The TMU on utilizes a hybrid management model shared between the

You might also want to correct this "The TMU on utilizes..". On
gs101-based I guess?

>>> Application Processor (AP) and the ACPM firmware. The driver maintains
>>> direct memory-mapped access to the TMU interrupt pending registers to
>>> identify thermal events, while delegating functional tasks - such as
>>> sensor initialization, threshold configuration, and temperature
>>> acquisition - to the ACPM firmware via the ACPM IPC protocol.
>>>
>>> Signed-off-by: Tudor Ambarus <[email-masked]>
>>> Acked-by: Krzysztof Kozlowski <[email-masked]>
>>> ---

Thanks,
Alexey